using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplicationWorkWithOperators
{
    class Program
    {
        static void Main(string[] args)
        {
            int sum, numOne, numTwo;
            Boolean checkOne, checkTwo, exitProgram;
            exitProgram = true;
            while (exitProgram)
            {
                Console.WriteLine("Εισάγεται τον πρώτο αριθμό (από 1 μέχρι 100)");
                checkOne = Int32.TryParse(Console.ReadLine(), out numOne);
                Console.WriteLine("Εισάγεται τον δεύτερο αριθμό (από 1 μέχρι 100)");
                checkTwo = Int32.TryParse(Console.ReadLine(), out numTwo);
                if (checkTwo != true | checkTwo != true)
                {
                    Console.WriteLine("Δεν έχετε εισάγει αριθμό, πατήστε κάποιο πλήκτρο για να επαναλάβετε την διαδικασία η Esc για να βγείτε από το πρόγραμμα");
                    ConsoleKeyInfo k = Console.ReadKey();
                    if (k.Key == ConsoleKey.Escape)
                    {
                        exitProgram = false;
                    }
                }
                else
                {
                    if ((numOne>1 && numOne<100) &&(numTwo>1 && numTwo<100) )
                    {
                        sum = numOne + numTwo;
                        Console.WriteLine("Το άθροισμα τον αριθμών: {0} και: {1}  είναι:{2}  {0}+{1} ={2} ", numOne, numTwo, sum);
                        Console.ReadLine();
                    }
                    else
                    {
                        Console.WriteLine("Έχετε εισάγει αριθμό μεγαλύτερο του 100, πατήστε κάποιο πλήκτρο για να επαναλάβετε την διαδικασία η Esc για να βγείτε από το πρόγραμμα");
                        ConsoleKeyInfo k = Console.ReadKey();
                        if (k.Key == ConsoleKey.Escape)
                        {
                            exitProgram = false;
                        } 
                    }

                   
                }
            }
           
        }
    }
}
